package com.engine.jucailinkq.attendance.workflow.enums;

import com.finance.toolkit.BaseEnum;

/**
 * 出差请假方式
 */
public enum WorkFlowTypeEnum implements BaseEnum {
    ASKFORLEAVE("0","请假流程"),
    BATCH_ASKFORLEAVE("1","批量请假流程"),
    EVECTION("2","出差流程"),
    CLOCK_IN("3","补打卡流程"),
    REBACK_ASKFORLEAVE("4","销假流程"),
    REBACK_EVECTION("5","销差流程"),
    OVERTIME_PLAN("6","加班计划流程"),
    OVERTIME_RESULTS("7","加班结果流程"),
    ATTENDANCE_ALLOWANCE("8","出勤津贴确认流程"),
    SCHEDULE_CHANGE("9","排班异动流程"),
    GROUPS_CHANGE("10","调动分组流程");


    private String key;
    private String value;

    WorkFlowTypeEnum(String key, String value){
        this.key=key;
        this.value=value;
    }


    @Override
    public String getKey() {
        return this.key;
    }

    @Override
    public String getValue() {
        return this.value;
    }
}
